Subject: RE: ModifyDN -- subtrees or not?

From: "Jim Sermersheim" <[email-masked]>
Date: Wed, 19 Sep 2001 10:10:00 -0600

Due to the amount of confusion regarding this issue. I suggest that either a general and very concrete statement is made that explicitly allows a server to refuse to service any operation for any reason, or that each operation be reworded to replace "will" language with something along the lines of "attempts to". I suppose the first choice can be done by adding or referencing an applicability statement, but that imposes an extra level of indirection that the reader must jump through.

Jim

>>> "Kurt D. Zeilenga" <[email-masked]> 9/17/01 11:57:40 AM >>>
At 03:28 AM 2001-09-17, Chris Harding wrote:
>My suggestion is that you clarify whether the RFC requires servers to implement Move Subtree (and other operations that are the subjects of protocol requests).

While I think the language used could be improved, I believe
the technical specification is reasonable clear that a server
can refuse to successfully complete any operation for any
reason and is only obligated to return an appropriate response.

An implementation is free to return a non-successful result in
response to any and all subtree move (rename) requests.  This may
be due to mapping onto a directory system which cannot support
this request [RFC 2251, 3.3].  I note that many LDAP servers
do not support subtree move (rename).

Kurt

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Wed, 19 Sep 2001 09:41:30 -0700

At 09:10 AM 2001-09-19, Jim Sermersheim wrote:
>Due to the amount of confusion regarding this issue. I suggest that either a general and very concrete statement is made that explicitly allows a server to refuse to service any operation for any reason,

I believe that some general statement could be made in section
3.1. Protocol Model.  It should note that a request is only
a request to perform, not a mandate to perform, an operation.

>or that each operation be reworded to replace "will" language with something along the lines of "attempts to".

Yes, and not just in this particular case, but in other such cases.

>I suppose the first choice can be done by adding or referencing an applicability statement, but that imposes an extra level of indirection that the reader must jump through.

I would suggest that the paragraph be added to the end of Section
2 noting that this specification is a Technical Specification and
that Applicability Statements should be separately specified when
appropriate.

I also note that Section 2 likely should be an Introduction and a
more abstract (and brief) Abstract be added.

---

From: Chris Harding <[email-masked]>
Date: Wed, 19 Sep 2001 21:15:16 +0100

Hi -

At 09:41 19/09/2001 -0700, Kurt D. Zeilenga wrote:
>X-Commenen ietf-ldapbis mailing list <http://www.OpenLDAP.org/lists/>
>List-Archive: <http://www.OpenLDAP.org/lists/ietf-ldapbis/>
>List-Help: <mailto:[email-masked]?body=help>
>List-Unsubscribe: <mailto:[email-masked]?body=unsubscribe>
>Comments: (c.harding 56310)
>
> >Due to the amount of confusion regarding this issue. I suggest that 
> either a general and very concrete statement is made that explicitly 
> allows a server to refuse to service any operation for any reason,
>
> >or that each operation be reworded to replace "will" language with 
> something along the lines of "attempts to".
>

I'd suggest not using the phrase "attempts to". Wording like " . . a server 
that honors the request MUST . . " might be better.

If "attempts to" is kept, it should be carefully and explicitly defined at 
the start of the document. It means something in the case of people, but 
doesn't mean much in the case of computer software. Its use without careful 
definition in 2251 is the source of the current difference of 
interpretation. If a general statement is made in section 3.1 then such a 
definition could form part of it.

Regards,

Chris
+++++

========================================================================
            Dr. Christopher J. Harding
   T H E    Executive Director for the Directory Interoperability Forum
  O P E N   Apex Plaza, Forbury Road, Reading RG1 1AX, UK
G R O U P  Mailto:[email-masked] Phone:  +44 118 950 8311 x2262
            WWW: http://www.opengroup.org Mobile: +44 774 063 1520
========================================================================
The Open Group Conference October 2001 - featuring
ACTIVE LOSS PREVENTION - Establishing Trust and Risk Management in eBusiness
Grand Hotel Krasnapolsky, Amsterdam, The Netherlands, 22-26 October 2001
http://www.opengroup.org/amsterdam2001
========================================================================